## dmap-md5

dmap-md5

## Functions

void | dmap_md5_progressive_init ()
void | dmap_md5_progressive_update ()
void | dmap_md5_progressive_final ()
void | dmap_md5_progressive_to_string ()
void | dmap_md5_generate ()

## Types and Values

#define | DMAP_HASH_SIZE

## Description

## Functions

### dmap_md5_progressive_init ()

    void
    dmap_md5_progressive_init (DmapHashContext *context);

### dmap_md5_progressive_update ()

    void
    dmap_md5_progressive_update (DmapHashContext *context,
                                 unsigned char const *buffer,
                                 unsigned int length);

### dmap_md5_progressive_final ()

    void
    dmap_md5_progressive_final (DmapHashContext *context,
                                unsigned char digest[16]);

### dmap_md5_progressive_to_string ()

    void
    dmap_md5_progressive_to_string (const unsigned char *digest,
                                    gchar *string);

### dmap_md5_generate ()

    void
    dmap_md5_generate (short version_major Param1,
                       const guchar *url,
                       guchar hash_select,
                       guchar *out,
                       gint request_id);

## Types and Values

### DMAP_HASH_SIZE

    #define DMAP_HASH_SIZE 16